/* refdbc.h: header file for refdbc.c */
/* markus@mhoenicka.de 3-8-00 */

/*
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, see <http://www.gnu.org/licenses/>

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

/* The functions that correspond to the commands. */
int com_addlink(char *arg);
int com_addnote(char *arg);
int com_addref(char *arg);
int com_checkref(char *arg);
int com_countref(char *arg);
int com_countnote(char *arg);
int com_updatenote(char *arg);
int com_updateref(char *arg);
int com_deletelink(char *arg);
int com_deleteref(char *arg);
int com_deletenote(char *arg);
int com_dumpref (char* arg);
int com_getref(char *arg);
int com_getnote(char *arg);
int com_getau(char *arg);
int com_getax(char *arg);
int com_geted(char *arg);
int com_getas(char *arg);
int com_getkw(char *arg);
int com_getjo(char *arg);
int com_getjf(char *arg);
int com_getj1(char *arg);
int com_getj2(char *arg);
int com_pickref (char* arg);
int com_selectdb(char *arg);
int com_whichdb(char *arg);
int com_updatejo (char* arg);

/* other functions */
void alrmhandler(int sig);
